Removing wrong dependency on libfm-gtk-bin.
[debian/pcmanfm.git] / Makefile.in
CommitLineData
f411d8c9 1# Makefile.in generated by automake 1.11.1 from Makefile.am.
ab702381
DB
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
f411d8c9
AG
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6# Inc.
ab702381
DB
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
ab702381
DB
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
ab702381 19pkgincludedir = $(includedir)/@PACKAGE@
3554f2d2
DB
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
ab702381 22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
ab702381
DB
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
3e01779c 34subdir = .
ab702381 35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
92978c90
DB
36 $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37 $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
f411d8c9 38 TODO compile depcomp install-sh missing
ab702381 39ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92978c90 40am__aclocal_m4_deps = $(top_srcdir)/configure.ac
ab702381
DB
41am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42 $(ACLOCAL_M4)
43am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
3e01779c 44 configure.lineno config.status.lineno
92978c90
DB
45mkinstalldirs = $(install_sh) -d
46CONFIG_HEADER = config.h
beb53438 47CONFIG_CLEAN_FILES =
3554f2d2 48CONFIG_CLEAN_VPATH_FILES =
ab702381
DB
49SOURCES =
50DIST_SOURCES =
51RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
52 html-recursive info-recursive install-data-recursive \
3e01779c
DB
53 install-dvi-recursive install-exec-recursive \
54 install-html-recursive install-info-recursive \
55 install-pdf-recursive install-ps-recursive install-recursive \
56 installcheck-recursive installdirs-recursive pdf-recursive \
57 ps-recursive uninstall-recursive
3e01779c
DB
58RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
59 distclean-recursive maintainer-clean-recursive
3554f2d2
DB
60AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
61 $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
62 distdir dist dist-all distcheck
ab702381
DB
63ETAGS = etags
64CTAGS = ctags
65DIST_SUBDIRS = $(SUBDIRS)
66DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
67distdir = $(PACKAGE)-$(VERSION)
68top_distdir = $(distdir)
69am__remove_distdir = \
f411d8c9
AG
70 { test ! -d "$(distdir)" \
71 || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
72 && rm -fr "$(distdir)"; }; }
3554f2d2
DB
73am__relativize = \
74 dir0=`pwd`; \
75 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
76 sed_rest='s,^[^/]*/*,,'; \
77 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
78 sed_butlast='s,/*[^/]*$$,,'; \
79 while test -n "$$dir1"; do \
80 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
81 if test "$$first" != "."; then \
82 if test "$$first" = ".."; then \
83 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
84 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
85 else \
86 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
87 if test "$$first2" = "$$first"; then \
88 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
89 else \
90 dir2="../$$dir2"; \
91 fi; \
92 dir0="$$dir0"/"$$first"; \
93 fi; \
94 fi; \
95 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
96 done; \
97 reldir="$$dir2"
92978c90 98DIST_ARCHIVES = $(distdir).tar.gz
ab702381
DB
99GZIP_ENV = --best
100distuninstallcheck_listfiles = find . -type f -print
101distcleancheck_listfiles = find . -type f -print
102ACLOCAL = @ACLOCAL@
c52e55d2 103ALL_LINGUAS = @ALL_LINGUAS@
ab702381
DB
104AMTAR = @AMTAR@
105AUTOCONF = @AUTOCONF@
106AUTOHEADER = @AUTOHEADER@
107AUTOMAKE = @AUTOMAKE@
108AWK = @AWK@
109CATALOGS = @CATALOGS@
110CATOBJEXT = @CATOBJEXT@
111CC = @CC@
112CCDEPMODE = @CCDEPMODE@
113CFLAGS = @CFLAGS@
114CPP = @CPP@
115CPPFLAGS = @CPPFLAGS@
116CYGPATH_W = @CYGPATH_W@
117DATADIRNAME = @DATADIRNAME@
118DEFS = @DEFS@
119DEPDIR = @DEPDIR@
120ECHO_C = @ECHO_C@
121ECHO_N = @ECHO_N@
122ECHO_T = @ECHO_T@
123EGREP = @EGREP@
124EXEEXT = @EXEEXT@
92978c90
DB
125FM_CFLAGS = @FM_CFLAGS@
126FM_LIBS = @FM_LIBS@
ab702381 127GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
92978c90
DB
128GIO_CFLAGS = @GIO_CFLAGS@
129GIO_LIBS = @GIO_LIBS@
ab702381
DB
130GMOFILES = @GMOFILES@
131GMSGFMT = @GMSGFMT@
2c896c7a 132GREP = @GREP@
3e01779c 133G_CAST_CHECKS = @G_CAST_CHECKS@
3e01779c 134INSTALL = @INSTALL@
ab702381
DB
135INSTALL_DATA = @INSTALL_DATA@
136INSTALL_PROGRAM = @INSTALL_PROGRAM@
137INSTALL_SCRIPT = @INSTALL_SCRIPT@
138INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
139INSTOBJEXT = @INSTOBJEXT@
140INTLLIBS = @INTLLIBS@
c52e55d2 141INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
c52e55d2 142INTLTOOL_MERGE = @INTLTOOL_MERGE@
c52e55d2 143INTLTOOL_PERL = @INTLTOOL_PERL@
c52e55d2 144INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
ab702381
DB
145LDFLAGS = @LDFLAGS@
146LIBOBJS = @LIBOBJS@
147LIBS = @LIBS@
148LTLIBOBJS = @LTLIBOBJS@
ab702381 149MAKEINFO = @MAKEINFO@
3e01779c 150MKDIR_P = @MKDIR_P@
ab702381
DB
151MKINSTALLDIRS = @MKINSTALLDIRS@
152MSGFMT = @MSGFMT@
8b5b0ae9 153MSGFMT_OPTS = @MSGFMT_OPTS@
c52e55d2 154MSGMERGE = @MSGMERGE@
ab702381
DB
155OBJEXT = @OBJEXT@
156PACKAGE = @PACKAGE@
157PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
ab702381
DB
158PACKAGE_NAME = @PACKAGE_NAME@
159PACKAGE_STRING = @PACKAGE_STRING@
160PACKAGE_TARNAME = @PACKAGE_TARNAME@
3554f2d2 161PACKAGE_URL = @PACKAGE_URL@
ab702381
DB
162PACKAGE_VERSION = @PACKAGE_VERSION@
163PATH_SEPARATOR = @PATH_SEPARATOR@
164PKG_CONFIG = @PKG_CONFIG@
7868df51
DB
165PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
166PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
ab702381
DB
167POFILES = @POFILES@
168POSUB = @POSUB@
169PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
170PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
171SET_MAKE = @SET_MAKE@
172SHELL = @SHELL@
173STRIP = @STRIP@
174USE_NLS = @USE_NLS@
175VERSION = @VERSION@
176XGETTEXT = @XGETTEXT@
92978c90
DB
177XLIB_CFLAGS = @XLIB_CFLAGS@
178XLIB_LIBS = @XLIB_LIBS@
3e01779c
DB
179abs_builddir = @abs_builddir@
180abs_srcdir = @abs_srcdir@
181abs_top_builddir = @abs_top_builddir@
182abs_top_srcdir = @abs_top_srcdir@
ab702381 183ac_ct_CC = @ac_ct_CC@
ab702381
DB
184am__include = @am__include@
185am__leading_dot = @am__leading_dot@
186am__quote = @am__quote@
187am__tar = @am__tar@
188am__untar = @am__untar@
189bindir = @bindir@
190build_alias = @build_alias@
3e01779c 191builddir = @builddir@
ab702381 192datadir = @datadir@
2c896c7a
DB
193datarootdir = @datarootdir@
194docdir = @docdir@
195dvidir = @dvidir@
ab702381
DB
196exec_prefix = @exec_prefix@
197host_alias = @host_alias@
2c896c7a 198htmldir = @htmldir@
ab702381
DB
199includedir = @includedir@
200infodir = @infodir@
201install_sh = @install_sh@
202libdir = @libdir@
203libexecdir = @libexecdir@
2c896c7a 204localedir = @localedir@
ab702381
DB
205localstatedir = @localstatedir@
206mandir = @mandir@
207mkdir_p = @mkdir_p@
208oldincludedir = @oldincludedir@
2c896c7a 209pdfdir = @pdfdir@
ab702381
DB
210prefix = @prefix@
211program_transform_name = @program_transform_name@
2c896c7a 212psdir = @psdir@
ab702381
DB
213sbindir = @sbindir@
214sharedstatedir = @sharedstatedir@
3e01779c 215srcdir = @srcdir@
ab702381
DB
216sysconfdir = @sysconfdir@
217target_alias = @target_alias@
fb9adf59 218top_build_prefix = @top_build_prefix@
3e01779c
DB
219top_builddir = @top_builddir@
220top_srcdir = @top_srcdir@
92978c90
DB
221NULL =
222SUBDIRS = src po data
ab702381 223EXTRA_DIST = \
92978c90 224 $(NULL)
ab702381 225
92978c90
DB
226all: config.h
227 $(MAKE) $(AM_MAKEFLAGS) all-recursive
ab702381
DB
228
229.SUFFIXES:
f411d8c9 230am--refresh:
ab702381 231 @:
92978c90 232$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
ab702381
DB
233 @for dep in $?; do \
234 case '$(am__configure_deps)' in \
235 *$$dep*) \
92978c90
DB
236 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
237 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
ab702381
DB
238 && exit 0; \
239 exit 1;; \
240 esac; \
241 done; \
92978c90 242 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
3554f2d2 243 $(am__cd) $(top_srcdir) && \
92978c90 244 $(AUTOMAKE) --foreign Makefile
ab702381
DB
245.PRECIOUS: Makefile
246Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
247 @case '$?' in \
248 *config.status*) \
249 echo ' $(SHELL) ./config.status'; \
250 $(SHELL) ./config.status;; \
251 *) \
252 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
253 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
254 esac;
255
256$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
257 $(SHELL) ./config.status --recheck
258
92978c90 259$(top_srcdir)/configure: $(am__configure_deps)
3554f2d2 260 $(am__cd) $(srcdir) && $(AUTOCONF)
92978c90 261$(ACLOCAL_M4): $(am__aclocal_m4_deps)
3554f2d2
DB
262 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
263$(am__aclocal_m4_deps):
ab702381 264
92978c90 265config.h: stamp-h1
f411d8c9
AG
266 @if test ! -f $@; then \
267 rm -f stamp-h1; \
268 $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
269 else :; fi
92978c90
DB
270
271stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
272 @rm -f stamp-h1
273 cd $(top_builddir) && $(SHELL) ./config.status config.h
274$(srcdir)/config.h.in: $(am__configure_deps)
275 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
276 rm -f stamp-h1
277 touch $@
278
279distclean-hdr:
280 -rm -f config.h stamp-h1
281
ab702381
DB
282# This directory's subdirectories are mostly independent; you can cd
283# into them and run `make' without going through this Makefile.
284# To change the values of `make' variables: instead of editing Makefiles,
285# (1) if the variable is set in `config.status', edit `config.status'
286# (which will cause the Makefiles to be regenerated when you run `make');
287# (2) otherwise, pass the desired values on the `make' command line.
288$(RECURSIVE_TARGETS):
92978c90 289 @fail= failcom='exit 1'; \
ab702381
DB
290 for f in x $$MAKEFLAGS; do \
291 case $$f in \
292 *=* | --[!k]*);; \
293 *k*) failcom='fail=yes';; \
294 esac; \
295 done; \
296 dot_seen=no; \
297 target=`echo $@ | sed s/-recursive//`; \
298 list='$(SUBDIRS)'; for subdir in $$list; do \
299 echo "Making $$target in $$subdir"; \
300 if test "$$subdir" = "."; then \
301 dot_seen=yes; \
302 local_target="$$target-am"; \
303 else \
304 local_target="$$target"; \
305 fi; \
3554f2d2 306 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
ab702381
DB
307 || eval $$failcom; \
308 done; \
309 if test "$$dot_seen" = "no"; then \
310 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
311 fi; test -z "$$fail"
312
3e01779c 313$(RECURSIVE_CLEAN_TARGETS):
92978c90 314 @fail= failcom='exit 1'; \
ab702381
DB
315 for f in x $$MAKEFLAGS; do \
316 case $$f in \
317 *=* | --[!k]*);; \
318 *k*) failcom='fail=yes';; \
319 esac; \
320 done; \
321 dot_seen=no; \
322 case "$@" in \
323 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
324 *) list='$(SUBDIRS)' ;; \
325 esac; \
326 rev=''; for subdir in $$list; do \
327 if test "$$subdir" = "."; then :; else \
328 rev="$$subdir $$rev"; \
329 fi; \
330 done; \
331 rev="$$rev ."; \
332 target=`echo $@ | sed s/-recursive//`; \
333 for subdir in $$rev; do \
334 echo "Making $$target in $$subdir"; \
335 if test "$$subdir" = "."; then \
336 local_target="$$target-am"; \
337 else \
338 local_target="$$target"; \
339 fi; \
3554f2d2 340 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
ab702381
DB
341 || eval $$failcom; \
342 done && test -z "$$fail"
343tags-recursive:
344 list='$(SUBDIRS)'; for subdir in $$list; do \
3554f2d2 345 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
ab702381
DB
346 done
347ctags-recursive:
348 list='$(SUBDIRS)'; for subdir in $$list; do \
3554f2d2 349 test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
ab702381
DB
350 done
351
352ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
353 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
354 unique=`for i in $$list; do \
355 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
356 done | \
beb53438 357 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
627c87b5 358 END { if (nonempty) { for (i in files) print i; }; }'`; \
ab702381
DB
359 mkid -fID $$unique
360tags: TAGS
361
92978c90 362TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
ab702381 363 $(TAGS_FILES) $(LISP)
3554f2d2 364 set x; \
ab702381
DB
365 here=`pwd`; \
366 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
367 include_option=--etags-include; \
368 empty_fix=.; \
369 else \
370 include_option=--include; \
371 empty_fix=; \
372 fi; \
373 list='$(SUBDIRS)'; for subdir in $$list; do \
374 if test "$$subdir" = .; then :; else \
375 test ! -f $$subdir/TAGS || \
3554f2d2 376 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
ab702381
DB
377 fi; \
378 done; \
92978c90 379 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
ab702381
DB
380 unique=`for i in $$list; do \
381 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
382 done | \
627c87b5
DB
383 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
384 END { if (nonempty) { for (i in files) print i; }; }'`; \
3554f2d2
DB
385 shift; \
386 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
ab702381 387 test -n "$$unique" || unique=$$empty_fix; \
3554f2d2
DB
388 if test $$# -gt 0; then \
389 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
390 "$$@" $$unique; \
391 else \
392 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
393 $$unique; \
394 fi; \
ab702381
DB
395 fi
396ctags: CTAGS
92978c90 397CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
ab702381 398 $(TAGS_FILES) $(LISP)
92978c90 399 list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
ab702381
DB
400 unique=`for i in $$list; do \
401 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
402 done | \
627c87b5
DB
403 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
404 END { if (nonempty) { for (i in files) print i; }; }'`; \
3554f2d2 405 test -z "$(CTAGS_ARGS)$$unique" \
ab702381 406 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
3554f2d2 407 $$unique
ab702381
DB
408
409GTAGS:
410 here=`$(am__cd) $(top_builddir) && pwd` \
3554f2d2
DB
411 && $(am__cd) $(top_srcdir) \
412 && gtags -i $(GTAGS_ARGS) "$$here"
ab702381
DB
413
414distclean-tags:
415 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
416
417distdir: $(DISTFILES)
418 $(am__remove_distdir)
3554f2d2 419 test -d "$(distdir)" || mkdir "$(distdir)"
3e01779c
DB
420 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
421 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
422 list='$(DISTFILES)'; \
423 dist_files=`for file in $$list; do echo $$file; done | \
424 sed -e "s|^$$srcdirstrip/||;t" \
425 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
426 case $$dist_files in \
427 */*) $(MKDIR_P) `echo "$$dist_files" | \
428 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
429 sort -u` ;; \
430 esac; \
431 for file in $$dist_files; do \
ab702381 432 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
ab702381 433 if test -d $$d/$$file; then \
3e01779c 434 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
3554f2d2
DB
435 if test -d "$(distdir)/$$file"; then \
436 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
437 fi; \
ab702381 438 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
3554f2d2
DB
439 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
440 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
ab702381 441 fi; \
3554f2d2 442 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
ab702381 443 else \
3554f2d2
DB
444 test -f "$(distdir)/$$file" \
445 || cp -p $$d/$$file "$(distdir)/$$file" \
ab702381
DB
446 || exit 1; \
447 fi; \
448 done
3554f2d2 449 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
ab702381 450 if test "$$subdir" = .; then :; else \
f411d8c9
AG
451 test -d "$(distdir)/$$subdir" \
452 || $(MKDIR_P) "$(distdir)/$$subdir" \
453 || exit 1; \
454 fi; \
455 done
456 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
457 if test "$$subdir" = .; then :; else \
3554f2d2
DB
458 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
459 $(am__relativize); \
460 new_distdir=$$reldir; \
461 dir1=$$subdir; dir2="$(top_distdir)"; \
462 $(am__relativize); \
463 new_top_distdir=$$reldir; \
464 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
465 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
466 ($(am__cd) $$subdir && \
ab702381 467 $(MAKE) $(AM_MAKEFLAGS) \
3554f2d2
DB
468 top_distdir="$$new_top_distdir" \
469 distdir="$$new_distdir" \
3e01779c
DB
470 am__remove_distdir=: \
471 am__skip_length_check=: \
3554f2d2 472 am__skip_mode_fix=: \
ab702381
DB
473 distdir) \
474 || exit 1; \
475 fi; \
476 done
3554f2d2 477 -test -n "$(am__skip_mode_fix)" \
92978c90
DB
478 || find "$(distdir)" -type d ! -perm -755 \
479 -exec chmod u+rwx,go+rx {} \; -o \
ab702381
DB
480 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
481 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
3e01779c 482 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
3554f2d2 483 || chmod -R a+r "$(distdir)"
ab702381
DB
484dist-gzip: distdir
485 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
486 $(am__remove_distdir)
92978c90 487
ab702381 488dist-bzip2: distdir
f411d8c9 489 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
ab702381
DB
490 $(am__remove_distdir)
491
627c87b5
DB
492dist-lzma: distdir
493 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
494 $(am__remove_distdir)
495
3554f2d2 496dist-xz: distdir
f411d8c9 497 tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
3554f2d2
DB
498 $(am__remove_distdir)
499
ab702381
DB
500dist-tarZ: distdir
501 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
502 $(am__remove_distdir)
503
504dist-shar: distdir
505 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
506 $(am__remove_distdir)
507
508dist-zip: distdir
509 -rm -f $(distdir).zip
510 zip -rq $(distdir).zip $(distdir)
511 $(am__remove_distdir)
512
513dist dist-all: distdir
514 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
515 $(am__remove_distdir)
516
517# This target untars the dist file and tries a VPATH configuration. Then
518# it guarantees that the distribution is self-contained by making another
519# tarfile.
520distcheck: dist
521 case '$(DIST_ARCHIVES)' in \
522 *.tar.gz*) \
92978c90 523 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
ab702381 524 *.tar.bz2*) \
92978c90 525 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
627c87b5 526 *.tar.lzma*) \
92978c90 527 lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
3554f2d2
DB
528 *.tar.xz*) \
529 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
ab702381
DB
530 *.tar.Z*) \
531 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
532 *.shar.gz*) \
92978c90 533 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
ab702381
DB
534 *.zip*) \
535 unzip $(distdir).zip ;;\
536 esac
f411d8c9 537 chmod -R a-w $(distdir); chmod a+w $(distdir)
ab702381
DB
538 mkdir $(distdir)/_build
539 mkdir $(distdir)/_inst
540 chmod a-w $(distdir)
3554f2d2 541 test -d $(distdir)/_build || exit 0; \
ab702381
DB
542 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
543 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
3554f2d2
DB
544 && am__cwd=`pwd` \
545 && $(am__cd) $(distdir)/_build \
ab702381
DB
546 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
547 $(DISTCHECK_CONFIGURE_FLAGS) \
548 && $(MAKE) $(AM_MAKEFLAGS) \
549 && $(MAKE) $(AM_MAKEFLAGS) dvi \
550 && $(MAKE) $(AM_MAKEFLAGS) check \
551 && $(MAKE) $(AM_MAKEFLAGS) install \
552 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
553 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
554 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
555 distuninstallcheck \
556 && chmod -R a-w "$$dc_install_base" \
557 && ({ \
558 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
559 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
560 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
561 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
562 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
563 } || { rm -rf "$$dc_destdir"; exit 1; }) \
564 && rm -rf "$$dc_destdir" \
565 && $(MAKE) $(AM_MAKEFLAGS) dist \
566 && rm -rf $(DIST_ARCHIVES) \
3554f2d2
DB
567 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
568 && cd "$$am__cwd" \
569 || exit 1
ab702381
DB
570 $(am__remove_distdir)
571 @(echo "$(distdir) archives ready for distribution: "; \
572 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
3e01779c 573 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
ab702381 574distuninstallcheck:
f411d8c9
AG
575 @$(am__cd) '$(distuninstallcheck_dir)' \
576 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
ab702381
DB
577 || { echo "ERROR: files left after uninstall:" ; \
578 if test -n "$(DESTDIR)"; then \
579 echo " (check DESTDIR support)"; \
580 fi ; \
581 $(distuninstallcheck_listfiles) ; \
582 exit 1; } >&2
583distcleancheck: distclean
584 @if test '$(srcdir)' = . ; then \
585 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
586 exit 1 ; \
587 fi
588 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
589 || { echo "ERROR: files left in build directory after distclean:" ; \
590 $(distcleancheck_listfiles) ; \
591 exit 1; } >&2
592check-am: all-am
593check: check-recursive
92978c90 594all-am: Makefile config.h
ab702381
DB
595installdirs: installdirs-recursive
596installdirs-am:
ab702381
DB
597install: install-recursive
598install-exec: install-exec-recursive
599install-data: install-data-recursive
600uninstall: uninstall-recursive
601
602install-am: all-am
603 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
604
605installcheck: installcheck-recursive
606install-strip:
f411d8c9
AG
607 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
608 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
609 `test -z '$(STRIP)' || \
610 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
ab702381
DB
611mostlyclean-generic:
612
613clean-generic:
614
615distclean-generic:
616 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
3554f2d2 617 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
ab702381
DB
618
619maintainer-clean-generic:
620 @echo "This command is intended for maintainers to use"
621 @echo "it deletes files that may require special tools to rebuild."
622clean: clean-recursive
623
4c02b03d 624clean-am: clean-generic mostlyclean-am
ab702381
DB
625
626distclean: distclean-recursive
627 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
628 -rm -f Makefile
4c02b03d 629distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
ab702381
DB
630
631dvi: dvi-recursive
632
633dvi-am:
634
635html: html-recursive
636
3554f2d2
DB
637html-am:
638
ab702381
DB
639info: info-recursive
640
641info-am:
642
92978c90 643install-data-am:
ab702381 644
3e01779c
DB
645install-dvi: install-dvi-recursive
646
3554f2d2
DB
647install-dvi-am:
648
c52e55d2 649install-exec-am:
ab702381 650
3e01779c
DB
651install-html: install-html-recursive
652
3554f2d2
DB
653install-html-am:
654
ab702381
DB
655install-info: install-info-recursive
656
3554f2d2
DB
657install-info-am:
658
ab702381
DB
659install-man:
660
3e01779c
DB
661install-pdf: install-pdf-recursive
662
3554f2d2
DB
663install-pdf-am:
664
3e01779c
DB
665install-ps: install-ps-recursive
666
3554f2d2
DB
667install-ps-am:
668
ab702381
DB
669installcheck-am:
670
671maintainer-clean: maintainer-clean-recursive
672 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
673 -rm -rf $(top_srcdir)/autom4te.cache
674 -rm -f Makefile
675maintainer-clean-am: distclean-am maintainer-clean-generic
676
677mostlyclean: mostlyclean-recursive
678
4c02b03d 679mostlyclean-am: mostlyclean-generic
ab702381
DB
680
681pdf: pdf-recursive
682
683pdf-am:
684
685ps: ps-recursive
686
687ps-am:
688
92978c90 689uninstall-am:
ab702381 690
92978c90
DB
691.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
692 ctags-recursive install-am install-strip tags-recursive
ab702381 693
3e01779c
DB
694.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
695 all all-am am--refresh check check-am clean clean-generic \
4c02b03d 696 ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
f411d8c9
AG
697 dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
698 distclean distclean-generic distclean-hdr distclean-tags \
699 distcleancheck distdir distuninstallcheck dvi dvi-am html \
700 html-am info info-am install install-am install-data \
701 install-data-am install-dvi install-dvi-am install-exec \
702 install-exec-am install-html install-html-am install-info \
703 install-info-am install-man install-pdf install-pdf-am \
704 install-ps install-ps-am install-strip installcheck \
705 installcheck-am installdirs installdirs-am maintainer-clean \
706 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
707 pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
3554f2d2 708
ab702381 709
ab702381
DB
710# Tell versions [3.59,3.63) of GNU make to not export all variables.
711# Otherwise a system limit (for SysV at least) may be exceeded.
712.NOEXPORT: